<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCommonPhoneConfigReq StructType
 * @subpackage Structs
 */
class AddCommonPhoneConfigReq extends APIRequest
{
    /**
     * The commonPhoneConfig
     * @var XCommonPhoneConfig
     */
    public $commonPhoneConfig;
    /**
     * Constructor method for AddCommonPhoneConfigReq
     * @uses AddCommonPhoneConfigReq::setCommonPhoneConfig()
     * @param XCommonPhoneConfig $commonPhoneConfig
     */
    public function __construct(XCommonPhoneConfig $commonPhoneConfig = null)
    {
        $this
            ->setCommonPhoneConfig($commonPhoneConfig);
    }
    /**
     * Get commonPhoneConfig value
     * @return XCommonPhoneConfig|null
     */
    public function getCommonPhoneConfig()
    {
        return $this->commonPhoneConfig;
    }
    /**
     * Set commonPhoneConfig value
     * @param XCommonPhoneConfig $commonPhoneConfig
     * @return AddCommonPhoneConfigReq
     */
    public function setCommonPhoneConfig(XCommonPhoneConfig $commonPhoneConfig = null)
    {
        $this->commonPhoneConfig = $commonPhoneConfig;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCommonPhoneConfigReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
